=== tests/test/dependencies-e/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		dependencies-e
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

depends_build \
    port:docbook-xml-4.1.2 \
    port:docbook-xml-4.2 \
    port:docbook-xml-4.3 \
    port:docbook-xml-4.4 \
    port:docbook-xml-4.5

test {
# testing consists in processing dependencies
}
